#include "ofApp.h"

//--------------------------------------------------------------
void ofApp::setup(){
//ENVIRONMENT
    ofBackground(0);
    ofSetCircleResolution(100);
    ofSetBackgroundAuto(false);
}

//--------------------------------------------------------------
void ofApp::update(){

}

//--------------------------------------------------------------
void ofApp::draw(){
    //if the mouse is not on pixel 0 on the x axis then draw
    if(mouseX!=0){
        //big and red
        ofNoFill();
        ofSetColor(255,0,0,50);
        ofDrawCircle(mouseX, mouseY, ofRandom(60,100));
        //small and white
        ofFill();
        ofSetColor(255, 10);
        ofDrawCircle(mouseX, mouseY, 60);
    }
    ofDrawBitmapString("Press 'B' to refresh background", 20, 20);
}

//--------------------------------------------------------------
void ofApp::keyPressed(int key){
    if(key=='b'){
        ofBackground(0);
        printf("B pressed \n");
    }

}

//--------------------------------------------------------------
void ofApp::keyReleased(int key){

}

//--------------------------------------------------------------
void ofApp::mouseMoved(int x, int y){

}

//--------------------------------------------------------------
void ofApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void ofApp::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void ofApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void ofApp::mouseEntered(int x, int y){

}

//--------------------------------------------------------------
void ofApp::mouseExited(int x, int y){

}

//--------------------------------------------------------------
void ofApp::windowResized(int w, int h){

}

//--------------------------------------------------------------
void ofApp::gotMessage(ofMessage msg){

}

//--------------------------------------------------------------
void ofApp::dragEvent(ofDragInfo dragInfo){ 

}